# [Awesome Hacking](https://github.com/Hack-with-Github/Awesome-Hacking)

[![Track Awesome List](https://www.trackawesomelist.com/badge.svg)](https://www.trackawesomelist.com/Hack-with-Github/Awesome-Hacking/)
[![Awesome](https://cdn.rawgit.com/sindresorhus/awesome/d7305f38d29fed78fa85652e3a63e154dd8e8829/media/badge.svg)](https://github.com/sindresorhus/awesome)
[![Tweet](https://img.shields.io/twitter/url/http/shields.io.svg?style=social)](https://twitter.com/intent/tweet?text=Awesome%20Hacking%20-%20a%20collection%20of%20awesome%20lists%20for%20hackers%20and%20pentesters%20by%20@HackwithGithub&url=https://github.com/Hack-with-Github/Awesome-Hacking&hashtags=security,hacking)

![Awesome Hacking](awesome_hacking.jpg)

**A collection of awesome lists for hackers, pentesters & security researchers.**

Your [contributions](contributing.md) are always welcome!

## Awesome Repositories

Repository | Description
---- | ----
[AI Security](https://github.com/RandomAdversary/Awesome-AI-Security) | Curated list of AI security resources
[Adversarial Machine Learning](https://github.com/yenchenlin/awesome-adversarial-machine-learning) | Curated list of awesome adversarial machine learning resources
[Android Security](https://github.com/ashishb/android-security-awesome) | Collection of Android security related resources
[AppSec](https://github.com/paragonie/awesome-appsec) | Resources for learning about application security
[Asset Discovery](https://github.com/redhuntlabs/Awesome-Asset-Discovery) | List of resources which help during asset discovery phase of a security assessment engagement
[Blue Teaming](https://github.com/fabacab/awesome-cybersecurity-blueteam) | A curated collection of awesome resources, tools, and other shiny things for cybersecurity blue teams
[Bug Bounty Tools](https://github.com/vavkamil/awesome-bugbounty-tools) | List of bug bounty tools for bug bounty hunters
[Bug Bounty](https://github.com/djadmin/awesome-bug-bounty) | List of Bug Bounty Programs and write-ups from the Bug Bounty hunters
[CTF](https://github.com/apsdehal/awesome-ctf) | List of CTF frameworks, libraries, resources and softwares
[CVE PoC](https://github.com/qazbnm456/awesome-cve-poc) | List of CVE Proof of Concepts (PoCs)
[Cryptography](https://github.com/sobolevn/awesome-cryptography) | Cryptography resources and tools
[Cyber Skills](https://github.com/joe-shenouda/awesome-cyber-skills) | Curated list of hacking environments where you can train your cyber skills legally and safely
[DevSecOps](https://github.com/devsecops/awesome-devsecops) | List of awesome DevSecOps tools with the help from community experiments and contributions
[Embedded and IoT Security](https://github.com/fkie-cad/awesome-embedded-and-iot-security) | A curated list of awesome resources about embedded and IoT security
[Exploit Development](https://github.com/FabioBaroni/awesome-exploit-development) | Resources for learning about Exploit Development
[Flipper Zero](https://github.com/djsime1/awesome-flipperzero) | List of resources for the Flipper Zero device
[Forensics](https://github.com/Cugu/awesome-forensics) | List of awesome forensic analysis tools and resources
[Fuzzing](https://github.com/secfigo/Awesome-Fuzzing) | List of fuzzing resources for learning Fuzzing and initial phases of Exploit Development like root cause analysis
[Golang Security](https://github.com/guardrailsio/awesome-golang-security) | List of Golang security resources
[Hacking Resources](https://github.com/vitalysim/Awesome-Hacking-Resources) | Collection of hacking / penetration testing resources to make you better!
[Hacking](https://github.com/carpedm20/awesome-hacking) | List of awesome Hacking tutorials, tools and resources
[Hardening](https://github.com/decalage2/awesome-security-hardening) | List of awesome security hardening guides, tools and other resources
[Honeypots](https://github.com/paralax/awesome-honeypots) | List of honeypot resources
[IOC](https://github.com/sroberts/awesome-iocs) | Collection of sources of indicators of compromise
[Incident Response](https://github.com/meirwah/awesome-incident-response) | List of tools for incident response
[Industrial Control System Security](https://github.com/hslatman/awesome-industrial-control-system-security) | List of resources related to Industrial Control System (ICS) security
[InfoSec](https://github.com/onlurking/awesome-infosec) | List of awesome infosec courses and training resources
[IoT Hacks](https://github.com/nebgnahz/awesome-iot-hacks) | Collection of Hacks in IoT Space
[Lockpicking](https://github.com/meitar/awesome-lockpicking) | Resources relating to the security and compromise of locks, safes, and keys.
[Machine Learning for Cyber Security](https://github.com/jivoi/awesome-ml-for-cybersecurity) | Curated list of tools and resources related to the use of machine learning for cyber security
[Mainframe Hacking](https://github.com/samanL33T/Awesome-Mainframe-Hacking) | List of Awesome Mainframe Hacking/Pentesting Resources
[Malware Analysis](https://github.com/rshipp/awesome-malware-analysis) | List of awesome malware analysis tools and resources
[OSINT](https://github.com/jivoi/awesome-osint) | List of amazingly awesome Open Source Intelligence (OSINT) tools and resources
[OSX and iOS Security](https://github.com/ashishb/osx-and-ios-security-awesome) | OSX and iOS related security tools
[PHP Security](https://github.com/ziadoz/awesome-php#security) | Libraries for generating secure random numbers, encrypting data and scanning for vulnerabilities
[Pcaptools](https://github.com/caesar0301/awesome-pcaptools) | Collection of tools developed by researchers in the Computer Science area to process network traces
[Pentest Cheatsheets](https://github.com/coreb1t/awesome-pentest-cheat-sheets) | Collection of the cheat sheets useful for pentesting
[Pentest](https://github.com/enaqx/awesome-pentest) | List of awesome penetration testing resources, tools and other shiny things
[Real-time Communications hacking & pentesting resources](https://github.com/EnableSecurity/awesome-rtc-hacking) | Covers VoIP, WebRTC and VoLTE security related topics
[Red Teaming Cheatsheet](https://github.com/RistBS/Awesome-RedTeam-Cheatsheet) | List of Active Directory & Red Team Cheat Sheet resources
[Red Teaming](https://github.com/yeyintminthuhtut/Awesome-Red-Teaming) | List of Awesome Red Team / Red Teaming Resources
[Reinforcement Learning for Cyber Security](https://github.com/Limmen/awesome-rl-for-cybersecurity) | List of awesome reinforcement learning for security resources
[Reversing](https://github.com/fdivrp/awesome-reversing) | List of awesome reverse engineering resources
[Sec Talks](https://github.com/PaulSec/awesome-sec-talks) | List of awesome security talks
[SecLists](https://github.com/danielmiessler/SecLists) | Collection of multiple types of lists used during security assessments
[Security](https://github.com/sbilly/awesome-security) | Collection of awesome software, libraries, documents, books, resources and cools stuffs about security
[Serverless Security](https://github.com/puresec/awesome-serverless-security/) | Collection of Serverless security related resources
[Shell](https://github.com/alebcay/awesome-shell) | List of awesome command-line frameworks, toolkits, guides and gizmos to make complete use of shell
[Social Engineering](https://github.com/v2-dev/awesome-social-engineering) | List of awesome social engineering resources
[Static Analysis](https://github.com/mre/awesome-static-analysis) | List of static analysis tools, linters and code quality checkers for various programming languages
[Threat Intelligence](https://github.com/hslatman/awesome-threat-intelligence) | List of Awesome Threat Intelligence resources
[Tunneling](https://github.com/anderspitman/awesome-tunneling) | List of ngrok alternatives and other ngrok-like tunneling software and services
[Vehicle Security](https://github.com/jaredthecoder/awesome-vehicle-security) | List of resources for learning about vehicle security and car hacking
[Vulnerability Research](https://github.com/re-pronin/awesome-vulnerability-research) | List of resources about Vulnerability Research
[Web Hacking](https://github.com/infoslack/awesome-web-hacking) | List of web application security
[Web Security](https://github.com/qazbnm456/awesome-web-security) | Curated list of Web Security materials and resources
[Windows Domain Hardening](https://github.com/paulsec/awesome-windows-domain-hardening) | List of security hardening techniques for Windows
[Windows Exploitation - Advanced](https://github.com/yeyintminthuhtut/Awesome-Advanced-Windows-Exploitation-References) | List of Awesome Advanced Windows Exploitation References
[YARA](https://github.com/InQuest/awesome-yara) | List of awesome YARA rules, tools, and people

## Other useful repositories

Repository | Description
---- | ----
[API Security Checklist](https://github.com/shieldfy/API-Security-Checklist) | Checklist of the most important security countermeasures when designing, testing, and releasing your API
[APT Notes](https://github.com/kbandla/APTnotes) | Various public documents, whitepapers and articles about APT campaigns
[Bug Bounty Reference](https://github.com/ngalongc/bug-bounty-reference) | List of bug bounty write-up that is categorized by the bug nature
[CTF Tool](https://github.com/SandySekharan/CTF-tool) | List of Capture The Flag (CTF) frameworks, libraries, resources and softwares
[Capsulecorp Pentest](https://github.com/r3dy/capsulecorp-pentest) | Vagrant+Ansible virtual network penetration testing lab. Companion to "The Art of Network Penetration Testing" by Royce Davis
[Detection Lab](https://github.com/clong/DetectionLab) | Vagrant & Packer scripts to build a lab environment complete with security tooling and logging best practices
[Free Programming Books](https://github.com/EbookFoundation/free-programming-books) | Free programming books for developers
[GTFOBins](https://gtfobins.github.io) | A curated list of Unix binaries that can be exploited by an attacker to bypass local security restrictions
[Gray Hacker Resources](https://github.com/bt3gl/Gray-Hacker-Resources) | Useful for CTFs, wargames, pentesting
[Hacker Roadmap](https://github.com/sundowndev/hacker-roadmap) | A guide for amateur pen testers and a collection of hacking tools, resources and references to practice ethical hacking.
[Hacker101](https://github.com/Hacker0x01/hacker101) | A free class for web security by HackerOne
[Infosec Getting Started](https://github.com/gradiuscypher/infosec_getting_started) | A collection of resources, documentation, links, etc to help people learn about Infosec
[Infosec House](https://github.com/InfosecHouse/InfosecHouse) | List of tools & resources for cyber security operations
[Infosec Reference](https://github.com/rmusser01/Infosec_Reference) | Information Security Reference That Doesn't Suck
[Linux Kernel Exploitation](https://github.com/xairy/linux-kernel-exploitation) | A bunch of links related to Linux kernel fuzzing and exploitation
[PayloadsAllTheThings](https://github.com/swisskyrepo/PayloadsAllTheThings) | List of useful payloads and bypass for Web Application Security and Pentest/CTF
[Payloads](https://github.com/foospidy/payloads) | Collection of web attack payloads
[Pentest Wiki](https://github.com/nixawk/pentest-wiki) | A free online security knowledge library for pentesters / researchers
[Probable Wordlists](https://github.com/berzerk0/Probable-Wordlists) | Wordlists sorted by probability originally created for password generation and testing
[RFSec-ToolKit](https://github.com/cn0xroot/RFSec-ToolKit) | Collection of Radio Frequency Communication Protocol Hacktools
[Resource List](https://github.com/FuzzySecurity/Resource-List) | Collection of useful GitHub projects loosely categorised
[Reverse Engineering](https://github.com/onethawt/reverseengineering-reading-list) | List of Reverse Engineering articles, books, and papers
[Security Cheatsheets](https://github.com/andrewjkerr/security-cheatsheets) | Collection of cheatsheets for various infosec tools and topics
[Security List](https://github.com/zbetcheckin/Security_list) | Great security list for fun and profit
[The Art of Hacking Series](https://github.com/The-Art-of-Hacking/h4cker) | List of resources  includes thousands of cybersecurity-related references and resources
[ThreatHunter-Playbook](https://github.com/Cyb3rWard0g/ThreatHunter-Playbook) | A Threat hunter's playbook to aid the development of techniques and hypothesis for hunting campaigns
[Vulhub](https://github.com/vulhub/vulhub) | Pre-Built Vulnerable Environments Based on Docker-Compose
[WiFi Arsenal](https://github.com/0x90/wifi-arsenal) | Pack of various useful/useless tools for 802.11 hacking

## Need more ?

Follow **Hack with GitHub** on your favorite social media to get daily updates on interesting GitHub repositories related to Security.

- Twitter : [@HackwithGithub](https://twitter.com/HackwithGithub)
- Facebook : [HackwithGithub](https://www.facebook.com/HackwithGithub)

## Contributions

Please have a look at [contributing.md](contributing.md)
